Loading...
Searching...
No Matches
Half.h File Reference
`#include <openvdb/Platform.h>`
`#include <openvdb/version.h>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | half
union | half::uif

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::math
namespace | openvdb::v10_0::math::internal

## Macros

#define | VDB_HALF_MIN 5.96046448e-08
#define | VDB_HALF_NRM_MIN 6.10351562e-05
#define | VDB_HALF_MAX 65504.0
#define | VDB_HALF_EPSILON 0.00097656
#define | VDB_HALF_MANT_DIG 11
#define | VDB_HALF_DIG 3
#define | VDB_HALF_DECIMAL_DIG 5
#define | VDB_HALF_RADIX 2
#define | VDB_HALF_MIN_EXP -13
#define | VDB_HALF_MAX_EXP 16
#define | VDB_HALF_MIN_10_EXP -4
#define | VDB_HALF_MAX_10_EXP 4

## Functions

OPENVDB_API std::ostream & | operator<< (std::ostream &os, half h)
OPENVDB_API std::istream & | operator>> (std::istream &is, half &h)
OPENVDB_API void | printBits (std::ostream &os, half h)
OPENVDB_API void | printBits (std::ostream &os, float f)
OPENVDB_API void | printBits (char c[19], half h)
OPENVDB_API void | printBits (char c[35], float f)

## Macro Definition Documentation

## VDB_HALF_DECIMAL_DIG

#define VDB_HALF_DECIMAL_DIG 5

## VDB_HALF_DIG

#define VDB_HALF_DIG 3

## VDB_HALF_EPSILON

#define VDB_HALF_EPSILON 0.00097656

## VDB_HALF_MANT_DIG

#define VDB_HALF_MANT_DIG 11

## VDB_HALF_MAX

#define VDB_HALF_MAX 65504.0

## VDB_HALF_MAX_10_EXP

#define VDB_HALF_MAX_10_EXP 4

## VDB_HALF_MAX_EXP

#define VDB_HALF_MAX_EXP 16

## VDB_HALF_MIN

#define VDB_HALF_MIN 5.96046448e-08

## VDB_HALF_MIN_10_EXP

#define VDB_HALF_MIN_10_EXP -4

## VDB_HALF_MIN_EXP

#define VDB_HALF_MIN_EXP -13

## VDB_HALF_NRM_MIN

#define VDB_HALF_NRM_MIN 6.10351562e-05

## VDB_HALF_RADIX

#define VDB_HALF_RADIX 2